

 -- 修改编码长度
EXEC p_AlterColumn 'T_BAL_CFG', 'FNUMBER', 'VARCHAR(50)', 'NOT NULL', '0100', ''' ''';

 -- 数值全为0忽略覆盖数据
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_CFG' AND KSQL_COL_NAME ='FEG_IGNORE_COVER')
 ALTER TABLE T_BAL_CFG ADD (FEG_IGNORE_COVER CHAR(1) DEFAULT '0' NOT NULL );

 -- 加急处理待更新队列
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_CFG' AND KSQL_COL_NAME ='FNT_ASYNC_OP')
 ALTER TABLE T_BAL_CFG ADD (FNT_ASYNC_OP CHAR(1) DEFAULT '1' NOT NULL );

 -- 加急处理更新中事务
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_CFG' AND KSQL_COL_NAME ='FMV_MAXQUERY_BS')
 ALTER TABLE T_BAL_CFG ADD (FMV_MAXQUERY_BS INT DEFAULT '0' NOT NULL );

 -- 合并查询快照上限
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_CFG' AND KSQL_COL_NAME ='FNT_UPDATING_OP')
 ALTER TABLE T_BAL_CFG ADD (FNT_UPDATING_OP CHAR(1) DEFAULT '1' NOT NULL );

 -- 合并更新keycol批量数
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_CFG' AND KSQL_COL_NAME ='FMV_KEYCOL_BS')
 ALTER TABLE T_BAL_CFG ADD (FMV_KEYCOL_BS INT DEFAULT '0' NOT NULL );

 -- 余额更新日志增加业务插件耗时字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_BALANCELOGENTRY' AND KSQL_COL_NAME ='FRULEPLUGINTIME')
 ALTER TABLE T_BAL_BALANCELOGENTRY ADD (FRULEPLUGINTIME INT DEFAULT 0 NOT NULL);

 -- 余额发生记录增加余额表和发生类型字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_OCCURRED_DBS' AND KSQL_COL_NAME ='FBAL')
 ALTER TABLE T_BAL_OCCURRED_DBS ADD (FBAL VARCHAR(36) DEFAULT ' ' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_OCCURRED_DBS' AND KSQL_COL_NAME ='FTYPE')
 ALTER TABLE T_BAL_OCCURRED_DBS ADD (FTYPE CHAR(1) DEFAULT ' ' NOT NULL);

 -- 余额更新中单据
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_UPDATING' AND KSQL_COL_NAME ='FDB')
 ALTER TABLE T_BAL_UPDATING ADD (FDB VARCHAR(20) DEFAULT ' ' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_UPDATING' AND KSQL_COL_NAME ='FBAL')
  ALTER TABLE T_BAL_UPDATING ADD (FBAL VARCHAR(36) DEFAULT ' ' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_UPDATING' AND KSQL_COL_NAME ='FAPP')
  ALTER TABLE T_BAL_UPDATING ADD (FAPP VARCHAR(20) DEFAULT ' ' NOT NULL);


