
 -- 待更新单据消费单节点并行度
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_CFG' AND KSQL_COL_NAME ='FNT_REUPDATE_LIMIT')
 ALTER TABLE T_BAL_CFG ADD (FNT_REUPDATE_LIMIT INT DEFAULT 0 NOT NULL );

 -- 更新中事务消费单节点并行度
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_CFG' AND KSQL_COL_NAME ='FNT_TX_LIMIT')
  ALTER TABLE T_BAL_CFG ADD (FNT_TX_LIMIT INT DEFAULT 0 NOT NULL );

 -- 更新中事务单线程模式
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_CFG' AND KSQL_COL_NAME ='FNT_THREADMODE')
   ALTER TABLE T_BAL_CFG ADD (FNT_THREADMODE CHAR(1) DEFAULT '0' NOT NULL );


 -- 余额更新日志增加生成快照记录行数字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_BALANCELOGENTRY' AND KSQL_COL_NAME ='FSPDATACOUNT')
 ALTER TABLE T_BAL_BALANCELOGENTRY ADD (FSPDATACOUNT INT DEFAULT 0 NOT NULL);
